Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
Gnuplot Class Reference

`#include <libs_required/OpenMesh/src/OpenMesh/Tools/Utils/Gnuplot.hh>`

## Public Member Functions
void | cmd (const char *_cmd,...)
| Send a command to gnuplot (low-level function use by all plot functions.)
bool | is_valid (void) const
| Is `Self` valid?
bool | is_active (void) const
| Is `Self` active, i.e. does it have an active plot?
Constructors
| Gnuplot ()
| Default constructor.
| Gnuplot (const string &_style)
| Set a style during construction.
| Gnuplot (const string &_title, const string &_style, const string &_xlabel, const string &_ylabel, vector< double > _x, vector< double > _y)
| Constructor calling plot_xy().
| Gnuplot (const string &_title, const string &_style, const string &_xlabel, const string &_ylabel, vector< double > _x)
| Constructor calling plot_x().
Gnuplot settings
void | set_style (const string &_style)
| set line style
void | set_ylabel (const string &_ylabel)
| set x axis label
void | set_xlabel (const string &_xlabel)
| set x axis label
plot functions
void | plot_x (vector< double > _x, const string &_title)
| Plot a single vector.
void | plot_xy (vector< double > _x, vector< double > _y, const string &_title)
| Plot x,y pairs.
void | plot_slope (double _a, double _b, const string &_title)
void | plot_equation (const string &_equation, const string &_title)
| Plot an equation supplied as a string.
void | reset_plot (void)
| If multiple plots are present it will clear the plot area.

## Private Member Functions
bool | get_program_path (const string &)
void | init ()

## Private Attributes
FILE * | gnucmd
string | pstyle
vector< string > | to_delete
int | nplots
bool | valid

## Static Private Attributes
static string | gnuplot_executable_ = "gnuplot"

## Detailed Description

Utility class interfacing with Gnuplot.

Note
  The plot will be visible as long as the object is not destructed.

Author
  Rajarshi Guha (C++ API based on the C API by Nicolas Devillard)

See also
  http://ndevilla.free.fr/gnuplot/ more information.

Definition at line 92 of file Gnuplot.hh.

## Member Function Documentation

void Gnuplot::plot_slope | ( | double | _a,
|  | double | _b,
|  | const string & | _title
| ) |  |

Plot an equation of the form: y = ax + b You supply a and b

Definition at line 305 of file Gnuplot.cc.

The documentation for this class was generated from the following files:

- libs_required/OpenMesh/src/OpenMesh/Tools/Utils/Gnuplot.hh
- libs_required/OpenMesh/src/OpenMesh/Tools/Utils/Gnuplot.cc